> For the complete documentation index, see [llms.txt](https://docs.convai.com/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.convai.com/api-docs/plugins-and-integrations/web-plugins/convai-web-sdk-1.md).

# Convai Web SDK (Legacy)

### Overview

{% hint style="info" %}
:no\_entry: This plugin has been deprecated and is no longer supported.

\
If you are still running the old plugin, we recommend switching to the new Convai Web SDK: [Link](https://docs.convai.com/api-docs/plugins-and-integrations/web-plugins/convai-web-sdk)

\
For historical reference only — these docs are no longer maintained.
{% endhint %}

The <mark style="color:green;">convai-web-sdk</mark> is a powerful npm package that empowers developers to seamlessly integrate lifelike characters into web applications. This SDK facilitates the capture of user audio streams and provides appropriate responses in the form of audio, actions, and facial expressions. Whether you're building an interactive website, a chatbot, or a game, this package adds a human touch to your user experience.

### **Before you begin**

Sign in to [Convai](https://convai.com/) and copy your API key. This will help you to converse with the avatar at a later step.

### **Install the package**

[Convai Web SDK](https://www.npmjs.com/package/convai-web-sdk?activeTab=readme) is available as an npm package. Run the following command in the root of your React project to install the package.

`npm install convai-web-sdk@latest`

{% hint style="success" %}
LTS Version: 0.0.6
{% endhint %}

{% hint style="info" %}
Before you begin with the integration, make sure, you have created an account with Convai and have your own API-Key.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.convai.com/api-docs/plugins-and-integrations/web-plugins/convai-web-sdk-1.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
